#ifndef _EC_H
#define _EC_H

#include <gmp.h>

typedef struct {
	mpz_t x, y;
} ECP;

typedef struct {
	mpz_t p, a, b, n;
	ECP G;
} EC;

extern void ec_add(const EC *ec, ECP *R, const ECP *P, const ECP *Q);
extern void ec_mul(const EC *ec, ECP *R, const ECP *P, mpz_t k);

#endif

